FPGA, SoC, And CPLD Boards And Kits
FPGA Evaluation and Development Kits
5960 Discussions

Why got Error when try to upgrade QSYS from Standard 18.1 to 19.1. some of "module not found ".

BAmar1
Beginner
723 Views

I have design for MAX10 include Qsys with Nios  running on Quartus 18.1 .

I try to run on Quartus 19.1 and upgrade all IPs. the upgrading successful

but failed when try to Generate RTL . the Error is "xx module not found "

I Have all licenses . the design works on 18.1 .

0 Kudos
8 Replies
sstrell
Honored Contributor III
655 Views

What module was not found? Can you attach a screenshot of the error(s) and your Platform Designer system? Are there errors in the Platform Designer Messages window before you try to generate the system?

 

#iwork4intel

0 Kudos
SyafieqS
Moderator
655 Views

Hi Beny,

 

Could you provide the error message(s) if possible eg screenshot

0 Kudos
BAmar1
Beginner
655 Views

its not only one module . if I remove the failed module . its failed in second module .

 

here is the error

 

 

 

 

 

 

0 Kudos
BAmar1
Beginner
655 Views

fail.png

0 Kudos
BAmar1
Beginner
655 Views

qsys.png

0 Kudos
AAjit2
New Contributor I
655 Views

Which system are you using? Is it Windows or Linux?

0 Kudos
SyafieqS
Moderator
655 Views

Hi Amar,

 

Try to upgrade the IP one by one instead of upgrading all at a time. Refer to link below for details. Then regenerated the hdl again. Below are few links that might be helpful for your reference.

 

https://www.intel.com/content/www/us/en/programmable/quartushelp/17.0/hdl/mega/mega_upgrade_ip.htm

 

https://www.intel.com/content/dam/www/programmable/us/en/pdfs/literature/ug/ug-qpp-platform-designer.pdf (p58)

 

Thanks,

Regards

0 Kudos
BAmar1
Beginner
655 Views

we used Linux system ,

when running only upgrade , All IP was upgraded to 19.1 . but when generate HDL its failed .

any way I will try upgrade one by one .

0 Kudos
Reply